Package org.bukkit

# Enum Class CropState

java.lang.Object
java.lang.Enum<CropState>
org.bukkit.CropState

All Implemented Interfaces:
  `Serializable`, `Comparable<CropState>`, `Constable`

public enum CropState extends Enum<CropState>
Represents the different growth states of crops

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GERMINATED`
First growth stage
`MEDIUM`
Fourth growth stage
`RIPE`
Ripe stage
`SEEDED`
State when first seeded
`SMALL`
Third growth stage
`TALL`
Fifth growth stage
`VERY_SMALL`
Second growth stage
`VERY_TALL`
Almost ripe stage

## Method Summary

Modifier and Type
Method
Description
`static @Nullable CropState`
`getByData(byte data)`
Deprecated.
Magic value
`byte`
`getData()`
Deprecated.
Magic value
`static CropState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CropState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SEEDED

public static final CropState SEEDED
State when first seeded

### GERMINATED

public static final CropState GERMINATED
First growth stage

### VERY_SMALL

public static final CropState VERY_SMALL
Second growth stage

### SMALL

public static final CropState SMALL
Third growth stage

### MEDIUM

public static final CropState MEDIUM
Fourth growth stage

### TALL

public static final CropState TALL
Fifth growth stage

### VERY_TALL

public static final CropState VERY_TALL
Almost ripe stage

### RIPE

public static final CropState RIPE
Ripe stage

## Method Details

### values

public static CropState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CropState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the associated data value representing this growth state

Returns:
  A byte containing the data value of this growth state

### getByData

@Deprecated @Nullable public static @Nullable CropState getByData(byte data)
Deprecated.
Magic value
Gets the CropState with the given data value

Parameters:
  `data` - Data value to fetch
Returns:
  The `CropState` representing the given value, or null if it doesn't exist